[youtubei.js](../../../README.md) / [YT](../README.md) / Guide

# Class: Guide

## Constructors

### new Guide()

> **new Guide**(`data`): [`Guide`](Guide.md)

#### Parameters

• **data**: [`IRawResponse`](../../APIResponseTypes/interfaces/IRawResponse.md)

#### Returns

[`Guide`](Guide.md)

#### Defined in

[src/parser/youtube/Guide.ts:13](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/youtube/Guide.ts#L13)

## Properties

### contents?

> `optional` **contents**: [`ObservedArray`](../../Helpers/type-aliases/ObservedArray.md)\<[`GuideSection`](../../YTNodes/classes/GuideSection.md) \| [`GuideSubscriptionsSection`](../../YTNodes/classes/GuideSubscriptionsSection.md)\>

#### Defined in

[src/parser/youtube/Guide.ts:11](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/youtube/Guide.ts#L11)

## Accessors

### page

> `get` **page**(): [`IGuideResponse`](../../APIResponseTypes/type-aliases/IGuideResponse.md)

#### Returns

[`IGuideResponse`](../../APIResponseTypes/type-aliases/IGuideResponse.md)

#### Defined in

[src/parser/youtube/Guide.ts:19](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/youtube/Guide.ts#L19)
